Skip to main content
GET
/
users
/
{userId}
/
cards
/
{cardId}
/
merchant-action-triggers
Get card-level trigger status
curl --request GET \
  --url https://east.sandbox.spade.com/users/{userId}/cards/{cardId}/merchant-action-triggers \
  --header 'X-Api-Key: <api-key>'
{
  "status": "pending",
  "version": 123,
  "merchantTriggers": [
    {
      "id": "<string>",
      "action": {}
    }
  ],
  "totalCount": 123
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

userId
string
required

Your unique identifier for the user

Maximum string length: 512
cardId
string
required

Your unique identifier for the card

Maximum string length: 512

Response

Successful operation

Response containing the status of an action trigger registration.

status
enum<string>

The current status of the action trigger registration.

  • pending: Registration received, processing not yet started
  • running: Registration is being processed (for batch registrations with >100 triggers)
  • succeeded: Registration complete, triggers are now active
  • failed: Registration failed, check your request and retry
Available options:
pending,
running,
succeeded,
failed
Example:

"succeeded"

version
integer

The version number of this registration. Increments with each PUT, PATCH, or DELETE request to this scope.

Example:

1

merchantTriggers
object[]

The list of active merchant triggers registered for this scope. Present on GET responses; omitted on PUT and PATCH responses.

totalCount
integer

The total number of active merchant triggers registered for this scope. Present on GET responses; omitted on PUT and PATCH responses.

Example:

50000